## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTranscodingServices Class Reference

`#include <XalanTranscodingServices.hpp>`

Collaboration diagram for XalanTranscodingServices:

List of all members.

## Public Types

- typedef unsigned char XalanXMLByte
- enum eCode {
  OK,
  UnsupportedEncoding,
  InternalFailure,
  SupportFilesNotFound
  }

## Static Public Methods

- void initialize ()
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...
- size_t length (const XalanXMLByte* theBytes)
- XalanOutputTranscoder* makeNewTranscoder ( const XalanDOMString& theEncodingName, eCode& theResult, size_t theBlockSize)
    Create a transcoder instance for the specified encoding. More...
- void destroyTranscoder (XalanOutputTranscoder* theTranscoder)
    Destroy a transcoder instance. More...
- bool encodingIsUTF8 (const XalanDOMChar* theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-8. More...
- bool encodingIsUTF8 (const XalanDOMString& theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-8. More...
- bool encodingIsUTF16 (const XalanDOMChar* theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-16. More...
- bool encodingIsUTF16 (const XalanDOMString& theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-16. More...
- bool encodingIsUTF32 (const XalanDOMChar* theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-32. More...
- bool encodingIsUTF32 (const XalanDOMString& theEncodingName)
    Determine if the encoding name supplied is equivalent to UTF-32. More...
- const XalanXMLByte* getStreamProlog (const XalanDOMString& theEncodingName)
    Get an array that contains any leading bytes that should be written to an XML stream for the specified encoding. More...
- XalanDOMChar getMaximumCharacterValue (const XalanDOMString& theEncoding)
    Get the maximum character value for the encoding. More...
- XalanDOMChar getMaximumCharacterValue ()
    Get the maximum character value for the local code page. More...
- bool getBytesEqualChars (const XalanDOMString& theEncoding)
    Determine if the output stage can safely skip transcoding by truncating. More...
- bool canTranscodeToLocalCodePage (unsigned int theChar)

## Static Public Attributes

- const XalanDOMChar s_utf8String []
- const XalanDOMChar s_utf16String []
- const XalanDOMChar s_utf16LEString []
- const XalanDOMChar s_utf16BEString []
- const XalanDOMChar s_utf32String []
- const XalanDOMChar s_asciiString []
- const XalanDOMChar s_usASCIIString []
- const XalanDOMChar s_windows1250String []
- const XalanDOMChar s_iso88591String []
- const XalanDOMChar s_shiftJISString []

## Member Typedef Documentation

typedef unsigned char XalanTranscodingServices::XalanXMLByte

## Member Enumeration Documentation

enum XalanTranscodingServices::eCode

Enumeration values:

  OK |
  UnsupportedEncoding |
  InternalFailure |
  SupportFilesNotFound |

## Member Function Documentation

bool XalanTranscodingServices::canTranscodeToLocalCodePage ( | unsigned int theChar )`[static]`

void XalanTranscodingServices::destroyTranscoder ( | XalanOutputTranscoder * theTranscoder )`[static]`

Destroy a transcoder instance.

@theTranscoder The transcoder to destroy.

bool XalanTranscodingServices::encodingIsUTF16 ( | const XalanDOMString & theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-16.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::encodingIsUTF16 ( | const XalanDOMChar * theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-16.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::encodingIsUTF32 ( | const XalanDOMString & theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-32.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::encodingIsUTF32 ( | const XalanDOMChar * theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-32.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::encodingIsUTF8 ( | const XalanDOMString & theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-8.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::encodingIsUTF8 ( | const XalanDOMChar * theEncodingName )`[static]`

Determine if the encoding name supplied is equivalent to UTF-8.

Parameters:

  theEncodingName | The name of the output encoding.

Returns:
  true or false

bool XalanTranscodingServices::getBytesEqualChars ( | const XalanDOMString & theEncoding )`[static]`

Determine if the output stage can safely skip transcoding by truncating.

Parameters:

  theEncoding | The encoding name.

Returns:
  true if truncation is possible, false if not.

XalanDOMChar XalanTranscodingServices::getMaximumCharacterValue ( | )`[static]`

Get the maximum character value for the local code page.

This is now deprecated, since it's impossibly broken.

Deprecated:

Returns:
  The maximum character value the local code page supports.

XalanDOMChar XalanTranscodingServices::getMaximumCharacterValue ( | const XalanDOMString & theEncoding )`[static]`

Get the maximum character value for the encoding.

Parameters:

  theEncoding | The encoding name.

Returns:
  The maximum character value the encoding supports.

const XalanXMLByte * XalanTranscodingServices::getStreamProlog ( | const XalanDOMString & theEncodingName )`[static]`

Get an array that contains any leading bytes that should be written to an XML stream for the specified encoding.

For example, if the encoding is UTF-16, the vector will contain the appropriate byte order mark for the current platform. If there is no prolog for the encoding, or the encoding is unknown, an empty array is returned.

Parameters:

  theEncodingName | The name of the desired output encoding.

Returns:
  An array containing the appropriate bytes.

void XalanTranscodingServices::initialize ( | )`[static]`

Perform static initialization.

See class PlatformSupportInit.

size_t XalanTranscodingServices::length ( | const XalanXMLByte * theBytes )`[static]`

XalanOutputTranscoder * XalanTranscodingServices::makeNewTranscoder ( | const XalanDOMString & theEncodingName,
| eCode & theResult,
| size_t theBlockSize )`[static]`

Create a transcoder instance for the specified encoding.

Parameters:

  theEncodingName | The name of the desired output encoding.
  theResult | The error code.
  theTarget | The target array for storing the transcoded data.
  theBlockSize | The block size the transcoder should use.

Returns:
  The new transcoder, or 0 if there was an error.

void XalanTranscodingServices::terminate ( | )`[static]`

Perform static shut down.

See class PlatformSupportInit.

## Member Data Documentation

const XalanDOMChar XalanTranscodingServices::s_asciiString[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_iso88591String[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_shiftJISString[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_usASCIIString[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_utf16BEString[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_utf16LEString[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_utf16String[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_utf32String[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_utf8String[]`[static]`

const XalanDOMChar XalanTranscodingServices::s_windows1250String[]`[static]`

The documentation for this class was generated from the following file:

- XalanTranscodingServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.